Subject: Re: default IRQ affinity change in v2.6.27 (breaking several SMP PPC based systems)

From: Max Krasnyansky <[email-masked]>
Date: Tue, 18 Nov 2008 22:43:35 -0800

David Miller wrote:
> From: Kumar Gala <[email-masked]>
> Date: Fri, 24 Oct 2008 10:39:05 -0500
> 
>> As for making it ARCH specific, that doesn't really help since not
>> all PPC hw has the limitation I spoke of.  Not even all MPIC (in our
>> cases) have the limitation.
> 
> Since the PPC code knows exactly which MPICs have the problem the
> PPC code is where the constraining can occur.
> 
> I agree completely with the suggestion that the arch code has to
> interpret the cpumask as appropriate for the hardware, since the
> user can stick "illegal" values there anyways.

Sorry for delay in replying to this. And sorry for causing regression on some
ppc platforms.
I totally agree with what Dave said above. ALL_CPUS is a sane default,
platform code has to sanity check masks passed via set_affinity() calls
anyway. So I beleive it should be fixed in the platform code.

Max